kind: pipeline
type: docker
name: Build & Deploy

clone:
  disable: true

steps:
  - name: Clone
    image: woodpeckerci/plugin-git
    settings:
      recursive: true

  - name: Build site
    image: denoland/deno
    commands:
      - deno task build
    depends_on:
      - "Clone"

  - name: Push to Pages
    image: plugins/gh-pages
    settings:
      remote_url:
        from_secret: URL
      password:
        from_secret: PASS
      target_branch: pages
      pages_directory: dist
      copy_contents: true
      user_name: Sam Therapy
      user_email: sam@samtherapy.net
    depends_on:
      - "Build site"
    when:
      branch:
        - master
      event:
        - push
